class my_apache (
  $pkgname = $my_apache::params::pkgname,
  $cfgdir  = $my_apache::params::cfgdir,
  $cfgfile = $my_apache::params::cfgfile,
  $svcname = $my_apache::params::svcname,
  $serverroot = $my_apache::params::serverroot,
  $vhost_path = $my_apache::params::vhost_path,
) inherits my_apache::params {
  package { $pkgname:
    ensure => present,
    before => File['apache_cfg'],
  }
  file { 'apache_cfg':
    ensure  => file,
    path    => "${cfgdir}/${cfgfile}",
    owner   => 'root',
    group   => 'root',
    mode    => '0644',
    content => epp('my_apache/apache.conf.epp'),
  }
  service { 'apache':
    ensure    => running,
    enable    => true,
    name      => $svcname,
    subscribe => File['apache_cfg'],
  }
}
